Bug 488136 - fdebugrpm (frysk) reports wrong rpm name gives "Error: database disk image is malformed"
fdebugrpm (frysk) reports wrong rpm name gives "Error: database disk image is...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: frysk (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: andrew.cagney
Fedora Extras Quality Assurance
: Tracking
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-02 15:44 EST by archimerged Ark submedes
Modified: 2010-04-20 09:31 EDT (History)
5 users (show)

See Also:
Fixed In Version: frysk-0.4-26.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-20 09:11:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description archimerged Ark submedes 2009-03-02 15:44:40 EST
Description of problem:

  fdebugrpm reports incorrect debuginfo name and gives cryptic error message
  "Error: database disk image is malformed"

Version-Release number of selected component (if applicable):

  frysk-0.4-0.fc9.i386

How reproducible: very

Steps to Reproduce:
1. fdebugrpm [pid of emacs]
2. 
3.
  
Actual results:

  Missing Debuginfo package(s) [...] gtk-debuginfo-nodoka-engine-0.7.1-2.fc9
  Error: database disk image is malformed

Expected results:

  Missing Debuginfo package(s) [...] gtk-nodoka-engine-debuginfo-0.7.1-2.fc9

Additional info:



[root@ducks ~]# fdebugrpm 20854

Missing Debuginfo package(s)
============================
gtk-debuginfo-nodoka-engine-0.7.1-2.fc9

Do you wish to install the above packages? [y/n]: y
Loaded plugins: refresh-packagekit
Setting up Install Process
Parsing package install arguments
Error: database disk image is malformed
[root@ducks ~]# yum list *nodoka-engine*
Loaded plugins: refresh-packagekit
Installed Packages
gtk-nodoka-engine.i386                                            0.7.1-2.fc9                                  installed               
Available Packages
gtk-nodoka-engine-debuginfo.i386                                  0.7.1-2.fc9                                  updates-newkey-debuginfo
gtk-nodoka-engine-extras.i386                                     0.7.1-2.fc9                                  updates-newkey          
[root@ducks ~]# yum install gtk-nodoka-engine-debuginfo
Loaded plugins: refresh-packagekit
Setting up Install Process
...
Comment 1 Bug Zapper 2009-06-09 23:35:23 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 andrew.cagney 2009-06-19 10:56:17 EDT
Tracking rawhide
Comment 3 Stephen Tweedie 2009-10-06 06:22:34 EDT
Still a problem in F10, and appears to be unfixed in rawhide:

# fdebugrpm 5339

Missing Debuginfo package(s)
============================
bug-debuginfo-buddy-2.24.2-1.fc10
dbus-debuginfo-glib-0.76-3.fc10
gnome-debuginfo-keyring-2.24.1-1.fc10
gnome-debuginfo-vfs2-2.24.0-3.fc10
gtk-debuginfo-nodoka-engine-0.7.2-5.fc10
gtk-debuginfo-sharp2-2.12.7-1.fc10.1

It's a simple error in the construction of the debuginfo rpm names:

                     sed -e 's/-/-debuginfo-/' |

will add the "debuginfo" after the first "-" in the base rpm name, which is incorrect: it needs to be inserted after the first "-" which is immediately followed by a numerical digit.

Changing the sed expression to:

                     sed -e 's/-\([0-9]\)/-debuginfo-\1/' |

fixes it for me.
Comment 4 Stephen Tweedie 2009-11-26 10:21:29 EST
Ping?  This is a simple one-liner against a clear bug that makes this tool unusable in many cases, and it's still unfixed in rawhide / F-12.
Comment 5 Sami Wagiaalla 2009-12-01 11:24:41 EST
There is not much maintenance going on on this project, so this is not likely to get fixed. This not as convenient, but you could use gdb in combination with debuginfo-install
Comment 6 cagney 2009-12-01 16:57:57 EST
(In reply to comment #5)
> There is not much maintenance going on on this project, so this is not likely
> to get fixed. This not as convenient, but you could use gdb in combination with
> debuginfo-install  

I'm putting together an update with Stephen's fix (I thought I'd be done well before now except I've been doing battle with a weird network problem).
Comment 7 cagney 2010-03-17 13:47:35 EDT
FYI, there's a -13 build with the patch.  I'll push something out shortly.
(Oh, and I ended up getting a wi-spy to figure out my network problem - really noisy wi-fi neighbours)
Comment 8 Fedora Update System 2010-03-30 16:12:11 EDT
frysk-0.4-26.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/frysk-0.4-26.fc13
Comment 9 Fedora Update System 2010-03-30 16:12:21 EDT
frysk-0.4-26.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/frysk-0.4-26.fc12
Comment 10 Fedora Update System 2010-03-31 21:43:56 EDT
frysk-0.4-26.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update frysk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/frysk-0.4-26.fc12
Comment 11 Fedora Update System 2010-04-01 15:32:16 EDT
frysk-0.4-26.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update frysk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/frysk-0.4-26.fc13
Comment 12 Fedora Update System 2010-04-20 09:10:58 EDT
frysk-0.4-26.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-04-20 09:30:52 EDT
frysk-0.4-26.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.